      subroutine prt_hdr1(ounit,oarray)

C Prints data from a single RSC-11-6 header; one line of 116 characters
C  plus line-feed delimiter.

      integer*4     hh,mm,ss       ! Reduction hour, minutes, seconds
      integer*4     i              ! miscellaneous index
      integer*4     ounit          ! output logical unit
      integer*4     oarray(42)     ! array with header data from get_hdr

      hh = oarray(37)/3600
      mm = (oarray(37) - 3600*hh)/60
      ss = oarray(37) - 3600*hh - 60*mm

      write(ounit,'(5(i1,","),i2,",",2(i4,","),3(i2,","),3i1.1,"-",
     *     2(2i1.1,":"),2i1.1,".",i6.6,",",6(i1,","),2(i2,","),
     *     5(i1,","),i4,",",i3.3,"-",2(i2.2,":"),i2.2,",",4(i1,","),
     *     i10)')
     *     (oarray(i),i=1,36),hh,mm,ss,(oarray(i),i=38,42)

      return
      end
